--- a/src/libphobos/configure.tgt
+++ b/src/libphobos/configure.tgt
@@ -61,6 +61,9 @@ case "${target}" in
   s390*-linux*)
 	LIBPHOBOS_SUPPORTED=yes
 	;;
+  sparc64-*-linux*)
+ 	LIBPHOBOS_SUPPORTED=yes
+ 	;;
   x86_64-*-freebsd* | i?86-*-freebsd*)
 	LIBPHOBOS_SUPPORTED=yes
 	;;
--- a/src/libphobos/libdruntime/core/stdc/fenv.d
+++ b/src//libphobos/libdruntime/core/stdc/fenv.d
@@ -151,6 +150,8 @@
     // https://sourceware.org/git/?p=glibc.git;a=blob;f=sysdeps/sparc/fpu/bits/fenv.h
     else version (SPARC_Any)
     {
+        import core.stdc.config : c_ulong;
+
         alias fenv_t = c_ulong;
         alias fexcept_t = c_ulong;
     }
